Subject: Xen netfront fixes for changed skbuff in net-2.6.22.git

From: Jeremy Fitzhardinge <[email-masked]>
Date: Wed, 28 Mar 2007 11:36:17 -0700

Hi Herbert,

I wonder if you've got a chance to look at netfront in light of the new
stuff in davem's network tree  (the stuff that's in
http://git.kernel.org/?p=linux/kernel/git/davem/net-2.6.22.git).

In particular, struct sk_buff has been changed so that "nh" has gone,
and the replacement can be just an offset rather than a full pointer. 
This breaks the netfront because it tries to stash a page * in nh.raw. 
I had a quick look at it and couldn't see an easy fix, but I don't
really understand what's going on in there.

But you do.  Any chance you could have a look at it, and at least give
me some pointers about how to proceed?

Thanks,
    J